'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.replace = exports.push = exports.back = exports.go = undefined;

var _query = require('./query');

var go = function go(delta) {
    var platform = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'wechat';

    platform == 'wechat' && wx.navigateBack({ delta: delta });
    platform == 'swan' && swan.navigateBack({ delta: delta });
    platform == 'alipay' && my.navigateBack({ delta: delta });
};

var back = function back() {
    var platform = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 'wechat';

    platform == 'wechat' && wx.navigateBack();
    platform == 'swan' && swan.navigateBack();
    platform == 'alipay' && my.navigateBack();
};

var replace = function replace(location, complete, fail, success) {
    var platform = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : 'wechat';

    var url = (0, _query.parseUrl)(location);
    platform == 'wechat' && wx.redirectTo({ url: url, complete: complete, fail: fail, success: success });
    platform == 'swan' && swan.redirectTo({ url: url, complete: complete, fail: fail, success: success });
    platform == 'alipay' && my.redirectTo({ url: url, complete: complete, fail: fail, success: success });
};

var push = function push(location, complete, fail, success) {
    var platform = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : 'wechat';

    var url = (0, _query.parseUrl)(location);
    var params = { url: url, complete: complete, fail: fail, success: success };

    if (location.isTab) {
        platform == 'wechat' && wx.switchTab(params);
        platform == 'swan' && swan.switchTab(params);
        platform == 'alipay' && my.switchTab(params);

        return;
    }
    if (location.reLaunch) {
        platform == 'wechat' && wx.reLaunch(params);
        platform == 'swan' && swan.reLaunch(params);
        platform == 'alipay' && my.reLaunch(params);
        return;
    }
    platform == 'wechat' && wx.navigateTo(params);
    platform == 'swan' && swan.navigateTo(params);
    platform == 'alipay' && my.navigateTo(params);
};

exports.go = go;
exports.back = back;
exports.push = push;
exports.replace = replace;